DCMTK - Bug #1068

Check whether Frame Type (0008,9007) also needs to be updated when using lossy compression
Target version:
Operating System:

Description

While documenting the issue described in Bug #1056, it became apparent that probably also the Frame Type (0008,9007) Attribute
needs to be updated when compressing a DICOM image in a lossy manner.

In this context, it should also be checked whether "DERIVED" is always the correct Value 1 for the Image Type (0008,0008) Attribute.
For some I0Ds (e.g. Enhanced CT and MR), there is a third Enumerated Value: MIXED. See PS3.3 Table C.8-127 for details.

Related issues:

Related to DCMTK - Bug #1056: DcmCodec::updatelmageType() adds Image Type (00... Closed 2023-01-11
Related to DCMTK - Bug #1069: Compression encoders do not handle Enhanced Mul... New 2023-03-24
History

#1 - 2023-02-23 12:35 - Jorg Riesmeier
- Related to Bug #1056: DcmCodec::updatelmageType() adds Image Type (0008,0008) with incorrect value added

#2 - 2024-08-09 18:42 - Marco Eichelberg

- Related to Bug #1069: Compression encoders do not handle Enhanced Multiframe images correctly added

#3 - 2024-08-09 18:45 - Marco Eichelberg

Frame Type (0008,9007) is only used in Enhanced Multiframe images. It describes the same properties as Image Type (0008,0008) does, but on a
frame-to-frame basis. After lossy compression, all Frame Type (0008,9007) attributes should have value 1 set to "DERIVED", and, therefore, Image
Type (0008,0008) value 1 will also be "DERIVED" and never "MIXED".
